Package net.md_5.bungee.api.chat

# Enum ClickEvent.Action

java.lang.Object
java.lang.Enum<ClickEvent.Action>
net.md_5.bungee.api.chat.ClickEvent.Action

All Implemented Interfaces:
  `Serializable`, `Comparable<ClickEvent.Action>`

Enclosing class:
  ClickEvent

public static enum ClickEvent.Action extends Enum<ClickEvent.Action>

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CHANGE_PAGE`
  Change to the page number given by `ClickEvent.value` in a book.
  `COPY_TO_CLIPBOARD`
  Copy the string given by `ClickEvent.value` into the player's clipboard.
  `CUSTOM`
  Must use subclass `ClickEventCustom`.
  `OPEN_FILE`
  Open a file at the path given by `ClickEvent.value`.
  `OPEN_URL`
  Open a url at the path given by `ClickEvent.value`.
  `RUN_COMMAND`
  Run the command given by `ClickEvent.value`.
  `SHOW_DIALOG`
  Must use subclass ShowDialogClickEvent.
  `SUGGEST_COMMAND`
  Inserts the string given by `ClickEvent.value` into the player's text box.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ClickEvent.Action`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ClickEvent.Action[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### OPEN_URL

    public static final ClickEvent.Action OPEN_URL
    Open a url at the path given by `ClickEvent.value`.

  - ### OPEN_FILE

    public static final ClickEvent.Action OPEN_FILE
    Open a file at the path given by `ClickEvent.value`.

  - ### RUN_COMMAND

    public static final ClickEvent.Action RUN_COMMAND
    Run the command given by `ClickEvent.value`.

  - ### SUGGEST_COMMAND

    public static final ClickEvent.Action SUGGEST_COMMAND
    Inserts the string given by `ClickEvent.value` into the player's text box.

  - ### CHANGE_PAGE

    public static final ClickEvent.Action CHANGE_PAGE
    Change to the page number given by `ClickEvent.value` in a book.

  - ### SHOW_DIALOG

    public static final ClickEvent.Action SHOW_DIALOG
    Must use subclass ShowDialogClickEvent.

  - ### COPY_TO_CLIPBOARD

    public static final ClickEvent.Action COPY_TO_CLIPBOARD
    Copy the string given by `ClickEvent.value` into the player's clipboard.

  - ### CUSTOM

    public static final ClickEvent.Action CUSTOM
    Must use subclass `ClickEventCustom`.

- ## Method Details

  - ### values

    public static ClickEvent.Action[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ClickEvent.Action valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null